package com.flow.common.core.exception;

import lombok.Getter;
import org.springframework.http.HttpStatus;

/**
 * 基本异常类
 */
@Getter
public class BaseException extends RuntimeException{
    private Integer status = HttpStatus.BAD_REQUEST.value();

    public BaseException(String msg) {
        super(msg);
    }

    public BaseException(HttpStatus status, String msg){
        super(msg);
        this.status = status.value();
    }
}
