package com.flow.common.core.model;

import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author caixiaofeng
 * @version 1.0
 * @Description: <<分页>>
 * @company 个人学习
 * @create 2021-02-26 16:53
 */
@Data
@NoArgsConstructor
@Builder
public class PageResult<T> {
    private Long total;
    private List<T> rows;

    public PageResult(Long total, List<T> rows) {
        this.total = total;
        this.rows = rows;
    }

}
