package com.flow.flowable.model;

import org.flowable.bpmn.model.ServiceTask;

public class CopyServiceTask extends ServiceTask {
    protected String assignee;

    public CopyServiceTask() {
    }


    public String getAssignee() {
        return this.assignee;
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public CopyServiceTask clone() {
        CopyServiceTask clone = new CopyServiceTask();
        clone.setValues(this);
        return clone;
    }


    public void setValues(CopyServiceTask otherElement) {
        super.setValues(otherElement);
        this.setAssignee(otherElement.getAssignee());
    }
}
