package com.flow.flowable.model;

import org.flowable.bpmn.model.ServiceTask;

public class JumpServiceTask extends ServiceTask {
    protected String targetNode;

    public JumpServiceTask() {
    }

    public String getTargetNode() {
        return targetNode;
    }

    public void setTargetNode(String targetNode) {
        this.targetNode = targetNode;
    }

    public JumpServiceTask clone() {
        JumpServiceTask clone = new JumpServiceTask();
        clone.setValues(this);
        return clone;
    }


    public void setValues(JumpServiceTask otherElement) {
        super.setValues(otherElement);
        this.setTargetNode(otherElement.getTargetNode());
    }
}
