package com.flow.flowable.parser.handler;

import com.flow.flowable.behavior.JumpActivityBehavior;
import com.flow.flowable.model.JumpServiceTask;
import org.flowable.bpmn.model.BaseElement;
import org.flowable.bpmn.model.ServiceTask;
import org.flowable.engine.impl.bpmn.parser.BpmnParse;
import org.flowable.engine.impl.bpmn.parser.handler.ServiceTaskParseHandler;

public class JumpServiceTaskParseHandler extends ServiceTaskParseHandler {
    @Override
    public Class<? extends BaseElement> getHandledType() {
        return JumpServiceTask.class;
    }

    @Override
    protected void executeParse(BpmnParse bpmnParse, ServiceTask serviceTask) {
        super.executeParse(bpmnParse, serviceTask);
        if (serviceTask.getBehavior() == null) {
            serviceTask.setBehavior(new JumpActivityBehavior());
        }
    }
}
