package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.StorageFile;
import com.flow.model.StorageFileQuery;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Set;

public interface FileService extends BaseService<StorageFile> {

    PageResult<StorageFile> getList(StorageFileQuery storageFileQuery);

    StorageFile upload(MultipartFile file) throws IOException;

    void delete(Set<Long> ids);

}
