package com.flow.entity;

import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.flow.common.mybatis.entity.BaseEntity;
import com.flow.enums.CategoryEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;

@TableName(value = "sys_file")
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@Data
public class StorageFile extends BaseEntity {
    @TableField(condition = SqlCondition.LIKE)
    private String name;
    @TableField(condition = SqlCondition.LIKE)
    private String realName;
    private String path;
    private String url;
    @TableField(condition = SqlCondition.LIKE)
    private String type;
    private CategoryEnum category;
    private String md5;
    private Long size;
    private Long businessId;
    private Long businessExtraId;

}
