package com.flow.service;

import com.flow.common.core.model.CursorResult;
import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.Notify;
import com.flow.model.NotifyQuery;

import java.util.List;

public interface NotifyService extends BaseService<Notify> {

    Notify notify(Notify notify);

    PageResult<Notify> getList(NotifyQuery query);

    CursorResult<Notify> cursor(NotifyQuery query);

    void read(List<Long> ids);

    void readAll();

    void delete(List<Long> ids);

    Long getUnreadCount();
}
