package com.flow.entity;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class MessageEntity<T> {
    private String from;
    private String to;
    private T body;
    private LocalDateTime time;

    public MessageEntity(String from, String to, T body) {
        this.from = from;
        this.to = to;
        this.body = body;
        this.time = LocalDateTime.now();
    }
}
