package com.flow.model;

import com.flow.common.core.model.Query;
import com.flow.enums.NotifyEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class NotifyQuery extends Query {
    private String cursorId;
    private String receiver;
    private String subject;
    private String content;
    private Boolean isRead;
    private NotifyEnum type;
}
