package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.ReportDataSource;
import com.flow.model.ExecSql;
import com.flow.model.ReportDatasourceQuery;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface ReportDatasourceService extends BaseService<ReportDataSource> {

    PageResult<ReportDataSource> getList(ReportDatasourceQuery reportDatasourceQuery);

    ReportDataSource create(ReportDataSource reportDataSource);

    ReportDataSource update(ReportDataSource reportDataSource);

    void delete(Set<Long> ids);

    List<Map<String, Object>> execSql(ExecSql execSql);

    boolean testConnection(ReportDataSource reportDataSource);
}
