package com.flow.entity;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.flow.common.mybatis.entity.BaseEntity;
import com.flow.model.spreadsheet.SpreadSheet;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("report_template")
public class ReportTemplate extends BaseEntity {
    private String code;
    @TableField(condition = SqlCondition.LIKE)
    private String name;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long businessId;
    @TableField(typeHandler = JacksonTypeHandler.class)
    private SpreadSheet data;
}
