package com.flow.model.spreadsheet;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@AllArgsConstructor
@NoArgsConstructor
public class SheetBorder {
    private List<String> top;
    private List<String> bottom;
    private List<String> left;
    private List<String> right;
}
