package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.entity.DictDetail;
import com.flow.model.DictDetailQuery;

import java.util.List;
import java.util.Set;

public interface DictDetailService {

    PageResult<DictDetail> getList(DictDetailQuery dictDetailQuery);

    List<DictDetail> getByDictCode(String dictCode);

    DictDetail create(DictDetail dictDetail);

    DictDetail update(DictDetail dictDetail);

    void delete(Set<Long> ids);
}
