package com.flow.service;

import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.Menu;
import com.flow.model.MenuQuery;

import java.util.List;
import java.util.Set;

public interface MenuService extends BaseService<Menu> {

    List<Menu> getTree(MenuQuery menuQuery);

    Menu create(Menu menu);

    Menu update(Menu menu);

    void delete(Set<Long> ids);

}
