package com.flow.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flow.common.mybatis.dao.BaseDao;
import com.flow.entity.FlowInstance;
import com.flow.entity.FlowTask;
import com.flow.model.FlowTaskQuery;
import org.apache.ibatis.annotations.Param;

public interface FlowTaskDao extends BaseDao<FlowTask> {
    IPage<FlowTask> todo(@Param("page") IPage<FlowInstance> page, @Param("query") FlowTaskQuery flowTaskQuery);

    FlowTask running(String taskId);

    FlowTask history(String taskId);

    IPage<FlowTask> done(@Param("page") IPage<FlowInstance> page, @Param("query") FlowTaskQuery flowTaskQuery);
}
