package com.flow.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ApprovalSameEnum {
    SELF("self", "由提交人自己审批"),
    SKIP("skip", "自动跳过"),
    LEADER("leader", "直属上级审批"),
    ORG_LEADER("orgLeader", "部门负责人审批");

    @JsonValue
    final String same;
    final String description;
}
