package com.flow.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TimeUnitEnum {
    SECOND("PT%sS", "秒"),
    MINUTE("PT%sM", "分钟"),
    HOUR("PT%sH", "小时"),
    DAY("P%sD", "天"),
    WEEK("P%sW", "周"),
    MONTH("P%sM", "月");

    @JsonValue
    private final String unit;
    private final String description;

}
