package com.flow.model;

import com.flow.common.core.model.Query;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class FlowInstanceQuery extends Query {
    private String id;
    private String name;
    private String startUserId;
    private String modelCode;
    private String definitionId;
    private Integer status;
    private List<LocalDate> startDates;
    private List<LocalDate> endDates;
}
