package com.flow.common.core.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.util.List;

/**
 * 游标分页结果
 * @param <T>
 */
@Data
public class CursorResult<T> {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long cursor;
    private List<T> rows;
}
