package com.flow.flowable.behavior;

import com.flow.flowable.cmd.JumpActivityCmd;
import com.flow.flowable.model.JumpServiceTask;
import org.flowable.engine.ManagementService;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.impl.bpmn.behavior.AbstractBpmnActivityBehavior;
import org.flowable.engine.impl.util.CommandContextUtil;

public class JumpActivityBehavior extends AbstractBpmnActivityBehavior {

    @Override
    public void execute(DelegateExecution execution) {
        JumpServiceTask jumpServiceTask = (JumpServiceTask) execution.getCurrentFlowElement();
        ManagementService managementService = CommandContextUtil.getProcessEngineConfiguration().getManagementService();
        managementService.executeCommand(new JumpActivityCmd(execution.getProcessInstanceId(), jumpServiceTask.getTargetNode()));
        leave(execution);
    }
}
