package com.flow.flowable.cmd;

import org.flowable.common.engine.impl.interceptor.Command;
import org.flowable.common.engine.impl.interceptor.CommandContext;
import org.flowable.engine.impl.persistence.entity.ExecutionEntity;
import org.flowable.engine.impl.persistence.entity.ExecutionEntityManager;
import org.flowable.engine.impl.util.CommandContextUtil;

public class CreatExecutionCmd implements Command<ExecutionEntity> {
    private ExecutionEntity executionEntity;

    public CreatExecutionCmd(ExecutionEntity executionEntity) {
        this.executionEntity = executionEntity;
    }

    @Override
    public ExecutionEntity execute(CommandContext commandContext) {
        ExecutionEntityManager executionEntityManager = CommandContextUtil.getExecutionEntityManager(commandContext);
        executionEntityManager.insert(executionEntity);
        return executionEntity;
    }
}
