package com.flow.flowable.validator;

import org.flowable.bpmn.model.Process;
import org.flowable.bpmn.model.ServiceTask;
import org.flowable.validation.ValidationError;
import org.flowable.validation.validator.impl.ServiceTaskValidator;

import java.util.List;

public class CustomServiceTaskValidator extends ServiceTaskValidator {

    @Override
    protected void verifyType(Process process, ServiceTask serviceTask, List<ValidationError> errors) {
        if ("copy".equalsIgnoreCase(serviceTask.getType())) {
            return;
        }
        if ("jump".equalsIgnoreCase(serviceTask.getType())) {
            return;
        }
        super.verifyType(process, serviceTask, errors);
    }
}
