package com.flow.service;

import com.flow.entity.Menu;
import com.flow.entity.User;
import com.flow.model.*;

import java.util.List;

public interface AuthService{

    ImageCode getImageCode();

    AccessToken login(LoginForm loginForm);

    void logout();

    User info();

    Permission permissions();

    List<Route> buildMenu(List<Menu> menus);
}
