package com.flow.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class DatasetField {
    private String label;
    private String field;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private List<DatasetField> children;

    public DatasetField(String label, String field) {
        this.label = label;
        this.field = field;
    }


}
