package com.flow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.flow.dataset.Source;
import com.flow.enums.DatasetTypeEnum;
import lombok.Data;

@Data
@TableName("report_dataset")
public class ReportDataset {
    private String id;
    private String name;
    private DatasetTypeEnum type;
    private String templateId;
    private Boolean pageable;
    @TableField(typeHandler = JacksonTypeHandler.class)
    private Source source;
}
