package com.flow.service;

import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.Dept;
import com.flow.entity.User;
import com.flow.model.DeptQuery;

import java.util.List;
import java.util.Set;

public interface DeptService extends BaseService<Dept> {
    List<Dept> getList(DeptQuery deptQuery);

    List<Dept> search(DeptQuery deptQuery);

    List<Dept> getOptions(Set<String> deptIds);

    List<Dept> getTree(DeptQuery deptQuery);

    List<Dept> getChild(Long pid);

    Dept create(Dept dept);

    Dept update(Dept dept);

    void delete(Set<Long> ids);

    User getLeader(String id);

    List<User> getLeader(List<String> ids);

    List<User> getUsers(String id);

    List<User> getUsers(List<String> ids);

    List<User> getRoleUsers(List<String> ids,List<String> roleIds);
}
