package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.Dict;
import com.flow.model.DictQuery;

import java.util.Set;

public interface DictService extends BaseService<Dict> {

    PageResult<Dict> getList(DictQuery dictQuery);

    Dict create(Dict dict);

    Dict update(Dict dict);

    void delete(Set<Long> ids);
}
