package com.flow.entity;

import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.flow.common.mybatis.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_dict_detail")
public class DictDetail extends BaseEntity {
    private String dictCode;
    @TableField(condition = SqlCondition.LIKE)
    private String label;
    private String value;
    private Integer sort;
}
