package com.flow.config;

import com.flow.enums.ProcessStatus;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.convert.converter.Converter;

@Configuration
public class WorkflowConverterConfig {

    @Bean
    public Converter<Integer, ProcessStatus> processStatusConverter(){
        return new Converter<Integer, ProcessStatus>() {
            @Override
            public ProcessStatus convert(Integer source) {
                return ProcessStatus.match(source);
            }
        };
    }
}
