package com.flow.entity;

import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.flow.common.mybatis.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@TableName(value = "flow_group",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@Data
public class FlowGroup extends BaseEntity {
    @TableField(condition = SqlCondition.LIKE)
    private String name;
    private Integer sort;
}
