package com.flow.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ApprovalTimeoutEnum {
    AUTO_PASS("pass", "自动通过"),
    AUTO_REFUSE("refuse", "自动拒绝"),
    REMIND("remind", "审批提醒");

    @JsonValue
    private final String action;
    private final String description;
}
