package com.flow.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrganizationTypeEnum {
    LEADER("leader", "组织主管"),
    ALL("all", "组织内所有人"),
    ROLE("role", "组织内角色");

    @JsonValue
    final String organizationType;
    final String description;

}
